/*******************************************************************************
 * FoxAnimNode_BlendByDeployable generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAnimNode_BlendByDeployable extends FoxAnimNode_BaseBlend
    native(Animation)
    hidecategories(Object,Object,Object,Object);

var const transient FoxDeployable_Base Deployable;

simulated function AnimNodeSequence GetCurrentChildNode()
{
    return AnimNodeSequence(Children[ActiveChildIndex].Anim);
    //return ReturnValue;    
}

defaultproperties
{
    ChildBlendInTime(0)=0.250
    ChildBlendInTime(1)=0.250
    ChildBlendInTime(2)=0.250
    ChildBlendInTime(3)=0.250
    bPlayActiveChild=true
    Children=/* Array type was not detected. */
    bFixNumChildren=true
}